Subject: Re: libpq on windows
From: Jason Tishler <[email-masked]>
To: Gilberto Ribeiro de Queiroz <[email-masked]>
Cc: CygWin <[email-masked]>, Pgsql-Cygwin <[email-masked]>
Date: Tue, 17 Jul 2001 08:41:06 -0400

Gilberto,

On Mon, Jul 16, 2001 at 02:03:02PM -0300, Gilberto Ribeiro de Queiroz wrote:
> Hello, my name is Gilberto Ribeiro. I am working in an academic project
> with PostgreSQL version 7.1.2 in Brazil, that accompanies the version
> 1.3.2 of CygWin. I would like to know how to compile in Visual C++ 6.0 a
> program in C language that uses the library libpq (or libpq++). I am a
> beginning in programming in Windows and I don't know how I can bind my
> program with the DLL "pq.dll", that is, if that is possible. 

The pq.dll and corresponding import library libpq.a that are part of the
Cygwin PostgreSQL package are really meant to be used by code that is
built with Cygwin gcc.

Since the above seems to imply that you have MS Visual C++ 6.0, why
don't you just build a Win32 libpq as described by:

    http://postgresql.bteg.net/users-lounge/docs/7.0/admin/install-win32.htm

and use that for your project?

Alternatively, you can find a pre-built Win32 libpq at the following:

    http://members.home.net/jtishler/software/postgresql/postgresql-7.1.2-1-win32.tar.gz

Note that I have never used the above myself, but others have reported
that it functions as expected.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/